var sample = {
    setup: function() {
        document.addEventListener('deviceready',
                              this.onDeviceReady, false);
    },
    onDeviceReady: function() {
        document.getElementById('cameraButton').onclick = sample.takePicture;
        document.getElementById('locationButton').onclick = sample.fetchLocation;
    },
    takePicture: function() {
        navigator.camera.getPicture(onSuccess, onFail, {
                                quality: 50,
                                destinationType: Camera.DestinationType.DATA_URL });
        
        function onSuccess(data) {
            var image = document.getElementById('cameraImage');
            image.src = 'data:image/jpeg;base64,' + data;
        }

        function onFail(message) {
            alert('Failed because: ' + message);
        }
    },
    fetchLocation: function() {
        navigator.geolocation.getCurrentPosition(
                                                 function(position) {
                                                    alert('Latitude: ' + position.coords.latitude + '\n' +
                                                          'Longitude: ' + position.coords.longitude + '\n');
                                             },
                                             function(error) {
                                                 alert('code: '    + error.code    + '\n' +
                                                   'message: ' + error.message + '\n');
                                             });
    }
};

sample.setup();
